Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1572810

Summary: Review Request: nodejs-engine-dot-io - The realtime engine behind Socket.IO
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-02 14:25:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806    

Description Jared Smith 2018-04-27 23:44:07 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-engine-dot-io/nodejs-engine-dot-io.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-engine-dot-io/nodejs-engine-dot-io-3.2.0-1.fc29.src.rpm
Description: The realtime engine behind Socket.IO
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2018-04-28 14:36:43 UTC
+ /usr/lib/rpm/nodejs-symlink-deps /usr/lib/node_modules --check
+ /usr/bin/node -e 'require("./")'
BUILDSTDERR: module.js:549
BUILDSTDERR:     throw err;
BUILDSTDERR:     ^
BUILDSTDERR: Error: Cannot find module 'base64id'

+ /usr/lib/rpm/nodejs-symlink-deps /usr/lib/node_modules --check
+ /usr/bin/node -e 'require("./")'
BUILDSTDERR: module.js:549
BUILDSTDERR:     throw err;
BUILDSTDERR:     ^
BUILDSTDERR: Error: Cannot find module 'engine.io-parser'

+ /usr/lib/rpm/nodejs-symlink-deps /usr/lib/node_modules --check
+ /usr/bin/node -e 'require("./")'
BUILDSTDERR: module.js:549
BUILDSTDERR:     throw err;
BUILDSTDERR:     ^
BUILDSTDERR: Error: Cannot find module 'debug'

+ /usr/lib/rpm/nodejs-symlink-deps /usr/lib/node_modules --check
+ /usr/bin/node -e 'require("./")'
BUILDSTDERR: module.js:549
BUILDSTDERR:     throw err;
BUILDSTDERR:     ^
BUILDSTDERR: Error: Cannot find module 'accepts'

+ /usr/lib/rpm/nodejs-symlink-deps /usr/lib/node_modules --check
+ /usr/bin/node -e 'require("./")'
BUILDSTDERR: module.js:549
BUILDSTDERR:     throw err;
BUILDSTDERR:     ^
BUILDSTDERR: Error: Cannot find module 'cookie'

  - It seems you've forgot to include the BR:

BuildRequires:	npm(accepts)
BuildRequires:	npm(base64id)
BuildRequires:	npm(cookie)
BuildRequires:	npm(debug)
BuildRequires:	npm(engine.io-parser)

  - You need to relax accepts, debug, engine.io-parser and ws:

DEBUG util.py:482:  BUILDSTDERR: Error: 
DEBUG util.py:482:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:482:  BUILDSTDERR:   - nothing provides npm(accepts) = 1.3.3 needed by nodejs-engine-dot-io-2.1.1-1.fc29.noarch

DEBUG util.py:482:  BUILDSTDERR: Error: 
DEBUG util.py:482:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:482:  BUILDSTDERR:   - nothing provides npm(debug) = 2.3.3 needed by nodejs-engine-dot-io-2.1.1-1.fc29.noarch

DEBUG util.py:482:  BUILDSTDERR: Error: 
DEBUG util.py:482:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:482:  BUILDSTDERR:   - nothing provides npm(engine.io-parser) = 2.0.2 needed by nodejs-engine-dot-io-2.1.1-1.fc29.noarch

DEBUG util.py:482:  BUILDSTDERR: Error: 
DEBUG util.py:482:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:482:  BUILDSTDERR:   - nothing provides npm(ws) = 1.1.2 needed by nodejs-engine-dot-io-2.1.1-1.fc29.noarch


%nodejs_fixdep accepts
%nodejs_fixdep debug
%nodejs_fixdep engine.io-parser
%nodejs_fixdep ws

Comment 2 Jared Smith 2018-05-01 12:35:54 UTC
Sorry about that -- looks like I had the old/incomplete version of the spec file up there.  Fixed.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-engine-dot-io/nodejs-engine-dot-io.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-engine-dot-io/nodejs-engine-dot-io-3.2.0-2.fc29.src.rpm

Comment 3 Robert-André Mauchin 2018-05-01 13:19:47 UTC
Package approved.

Comment 4 Jared Smith 2018-05-02 00:26:15 UTC
Repo requested at https://pagure.io/releng/fedora-scm-requests/issue/6409.

Comment 5 Gwyn Ciesla 2018-05-02 00:34:19 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-engine-dot-io

Comment 6 Jared Smith 2018-05-02 14:25:47 UTC
Packaged in Rawhide.